<div class="layout-block">
    <div class="search-form eight-column">
        <form class="clearfix" *ngIf="searchForm" id="form-filter" [formGroup]="searchForm" (ngSubmit)="search()">
            <div class="form-group">
                <label>Mã danh mục</label>
                <input type="text" class="form-control" formControlName="code" tabindex="1" />
            </div>
            <div class="form-group">
                <label>Tên danh mục</label>
                <input type="text" class="form-control" formControlName="name" tabindex="3" />
            </div>
            <div class="form-group">
                <label>Dự án</label>
                <autocomplete-directive required inputRef [key]="'name'" [placeholder]="'Chọn dự án...'"
                    [custom_display_label]="['code', 'name']" [headers]="['Mã dự án', 'Tên dự án']"
                    formControlName="module_name" [items]="ListModule" (type)="getModule($event)"
                    (selected)="selectModules($event)"></autocomplete-directive>
            </div>
            <div class="form-group">
                <label>Tình trạng</label>
                <select formControlName="is_active" class="form-control">
                    <option class="no-value" value>Tất cả</option>
                    <option value="1">Hoạt động</option>
                    <option value="2">Khóa</option>
                </select>
            </div>


            <div class="btn-toolbar pull-left margin-top23">
                <button type="button" class="btn btn-outline gray" (click)="reset()" tabindex="4">
                    <i class="icon-close"></i>Làm trống
                </button>
                <button type="submit" class="btn btn-outline blue" tabindex="3">
                    <i class="icon-magnifier"></i>Tìm kiếm
                </button>
            </div>
        </form>
    </div>
</div>

<div class="clearfix"></div>
<div class="area-block clearfix">
    <div class="panel">
        <div class="panel-body">
            <div class="filter clearfix table-list-head">
                <div class="form-inline pull-left">
                    <label>Hiển thị:</label>
                    <select [(ngModel)]="perPage" (change)="onPageSizeChanged($event)" class="form-control"
                        tabindex="20">
                        <option value="20" selected>20</option>
                        <option value="30">30</option>
                        <option value="40">40</option>
                        <option value="50">50</option>
                    </select>
                </div>
                <div class="pull-right">
                    <a *ngIf="userPermission['CREATE-CATEGORY-ISSUE']" (click)="openPopUpCreate()"
                        class="btn btn-primary" tabindex="9"><i class="icon-plus"></i>Tạo Mới</a>
                </div>

            </div>

            <div class="table-style2 clearfix table-responsive">
                <table class="table table-expand">
                    <thead>
                        <tr>
                            <th><input type="checkbox"></th>
                            <th>Tình trạng<i class="fa fa-fw fa-sort"></i></th>
                            <th>Mã danh mục<i class="fa fa-fw fa-sort"></i></th>
                            <th>Tên danh mục<i class="fa fa-fw fa-sort"></i></th>
                            <th>Dự án<i class="fa fa-fw fa-sort"></i></th>
                            <th>Mô tả<i class="fa fa-fw fa-sort"></i></th>
                            <th></th>
                        </tr>
                    </thead>
                    <tbody>
                        <tr *ngFor="let item of dataList">
                            <td><input type="checkbox"></td>
                            <td>{{item.is_active == 1 ? 'ACTIVE' : 'INACTIVE'}}</td>
                            <td><a (click)="openPopUpEdit(item)">{{item.code}}</a></td>
                            <td>{{item.name}}</td>
                            <td>{{item.module_name}}</td>
                            <td>{{item.description}}</td>
                            <td class="action-col">
                                <button *ngIf="userPermission['UPDATE-CATEGORY-ISSUE']"
                                    class="btn btn-success world-icon" (click)="openPopUpEdit(item)">
                                    Sửa <span class="glyphicon glyphicon-pencil"></span>
                                </button>
                                <button *ngIf="userPermission['DELETE-CATEGORY-ISSUE']"
                                    class="btn btn-danger world-icon" (click)="delete(item.id)">
                                    Xóa <span class="glyphicon glyphicon-remove"></span>
                                </button>
                            </td>
                        </tr>
                    </tbody>
                </table>
                <p *ngIf="dataList.length==0">Chưa có dữ liệu</p>
            </div>
        </div>
    </div>
    <div class="list-bottom">
        <div class="pull-right">
            <wms-pagination [perPage]="perPage" (pageChange)="pageChange($event)" [pagingData]="pagination">
            </wms-pagination>
        </div>
    </div>
</div>